import { StorageFile } from './file';
import { StorageNop } from './nop';
import { StorageObs } from './obs';
import { StorageS3 } from './s3';
export interface StorageNopOptions {
    placeholder?: never;
}
export declare type StorageFileOptions = StorageNopOptions;
export interface StorageS3Options {
    accessKeyId: string;
    secretAccessKey: string;
    region: string;
    bucket: string;
}
export interface StorageObsOptions {
    accessKeyId: string;
    secretAccessKey: string;
    server: string;
    bucket: string;
}
export declare const BACKEND_DICT: {
    file: typeof StorageFile;
    nop: typeof StorageNop;
    obs: typeof StorageObs;
    s3: typeof StorageS3;
};
export declare type StorageBackendType = keyof typeof BACKEND_DICT;
export declare type StorageBackendOptions = ({
    type?: 'file';
} & StorageFileOptions) | ({
    type?: 'nop';
} & StorageNopOptions) | ({
    type?: 's3';
} & StorageS3Options) | ({
    type?: 'obs';
} & StorageObsOptions);
//# sourceMappingURL=backend-config.d.ts.map